.ant-card-bordered {
  border: none;
  box-shadow: 0 1px 3px 0 rgba(112, 157, 199, 0.15), 0 2px 3px 0 rgba(81, 104, 125, 0.05);
  border-radius: 10px;
  overflow: hidden;

  .ant-card-actions {
    background: none;
  }
}

.ant-card-naked {
  background: none;
  border: none;
  box-shadow: none;

  &.overflow-fix {
    padding: 2px;
    margin: -2px;
  }

  .ant-card-head,
  .ant-card-body {
    background: none;
    padding: 0;
  }

  .ant-card-head {
    margin-bottom: 20px;
    margin-top: -20px;
  }
}

.ant-card-hoverable {
  &:hover {
    box-shadow: 0 30px 60px 0 rgba(51, 64, 86, 0.2);
    transform: translateY(-5px);
    background: #fff;
  }
}

.blue-box {
  background: #3d5fe8;
  box-shadow: 0 2px 4px 0 rgba(78, 110, 200, 0.5);
  border-radius: 4px;
  padding: 5px 10px;

  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  p {
    color: #fff;
    font-family: "Circular Air Bold";
  }
}

.page-card {
  padding: 30px 30px 20px;
  max-width: 400px;
  background: none;
  box-shadow: none;

  .ant-card-cover {
    svg,
    img {
      border: 1px solid $border-color;
      border-radius: 4px;
    }
  }
}

.ant-card {
  font-family: $font-family !important;
  font-size: 16px;

  .ant-card-body > a {
    display: inline-block;
    width: 100%;
  }

  canvas {
    border-radius: 4px;
    overflow: hidden;
    width: 100% !important;
    height: 100% !important;
  }
}

.antd-pro-number-info-numberInfoValue {
  font-size: 20px;

  .antd-pro-number-info-subTotal {
    margin-left: 20px;
    color: $gray-5;

    .anticon {
      font-size: 14px;
    }

    .anticon-caret-up {
      color: $brand-color-2;
    }

    .anticon-caret-down {
      color: $brand-color-5;
    }
  }
}

.no-padding {
  .ant-card-body {
    padding: 7px 7px 36px !important;
  }
}

.ant-card-meta-title {
  font-size: 22px;
  line-height: 30px;
  color: $black;
  font-weight: 600;
  white-space: normal !important;

  @include bp(xs-md) {
    line-height: 20px !important;
  }
}

.small-title {
  .ant-card-meta-title {
    font-size: 14px;
    text-transform: uppercase;
    color: $gray-4;
    font-weight: bold;
    letter-spacing: 0.5px;
  }
}

.ant-card-body {
  padding: 15px;

  @include bp(lg) {
    padding: 22px;
  }
}

.ant-card {
  &.disabled {
    -webkit-filter: grayscale(1);
    filter: grayscale(1);
    opacity: 0.5;
  }
}

.ant-card-meta {
  & + p {
    @include bp(xs-lg) {
      font-size: 15px;
    }
  }
}

.mini-card.todo-item-carousel {
  background-image: linear-gradient(165deg, #f3f3f3, hsl(225, 53%, 93%));
  border: 1px solid #80808020;
}

.campaign-card-with-todo {
  display: flex;
  height: 200px;
  flex-wrap: wrap;

  > .ant-card-cover img {
    opacity: 0.6 !important;
    height: 100%;
    min-width: 100%;
    object-fit: cover;
  }

  > .ant-card-body {
    padding-left: 11px !important;
    padding-right: 11px !important;
  }

  > .ant-card-cover,
  > .ant-card-body {
    flex: 50%;
    max-width: 50%;
  }

  @include bp(xs-sm) {
    height: 360px;

    > .ant-card-cover,
    > .ant-card-body {
      flex: 100%;
      max-width: 100%;
    }

    > .ant-card-cover {
      height: 175px !important;
    }

    > .ant-card-body {
      margin-top: -50px;
      max-height: 125px !important;
    }
  }

  .on-cover {
    position: absolute;
    height: 200px;
    width: 50%;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    padding: 20px;

    @include bp(xs-sm) {
      width: 100%;
      height: 175px;
    }

    .ant-card-meta-avatar img {
      max-height: 40px;
      max-width: 100px;
    }

    .payment-text {
      position: absolute;
      bottom: 15px;
      word-wrap: break-word;
      padding-right: 20px;
      color: #fff;
    }

    .breif-btn {
      position: absolute;
      bottom: 15px;
      right: 15px;
    }

    .ant-card-meta-title {
      color: #fff;
    }
  }
}

.action-card {
  display: flex;
  flex-direction: row;

  @include bp(xs-md) {
    margin-top: 8px;
    margin-bottom: 8px;
  }

  &.has-icon-left {
    .ant-card-cover {
      padding: 15px 0 15px 15px;
      flex: 0 0 60px;

      @include bp(lg) {
        padding: 20px 0 20px 20px;
        flex: 0 0 70px;
      }
    }
  }

  .ant-card-meta-title {
    color: $brand-color-4;
    font-weight: 700;
    font-size: 16px;

    @include bp(lg) {
      font-size: 18px;
    }

    @include bp(xlg) {
      font-size: 22px;
    }
  }

  p {
    margin-bottom: 0;
  }

  &.ant-card-hoverable {
    &:hover {
      box-shadow: 0 15px 35px 0 rgba(51, 64, 86, 0.2);
    }
  }
}

.avatar-list .ant-avatar:not(.ant-avatar-sm) {
  margin-right: -10px;
  width: 44px;
  height: 44px;
  border-radius: 44px;
}

.avatar-list .ant-avatar:not(.ant-avatar-sm) > * {
  font-weight: 600;
}

.ant-card-meta-title {
  font-size: 20px;
  line-height: 30px;
  color: #3d3f41;
  font-weight: 600;
}

.avatar-list {
  .ant-avatar-sm {
    margin-left: -4px;

    .ant-avatar-string {
      font-size: 12px;
    }
  }
}

.card-tag {
  padding: 5px 10px;
  text-transform: uppercase;
  font-size: 12px;
  margin-right: 5px;
  font-weight: 600;
  border: none;
  height: auto;
  margin: 5px 5px 5px 0;
}

.parts-wrapper {
  .ant-card-body {
    padding: 0;
  }

  .ant-form {
    .ant-form-item {
      padding: 22px;
      border-bottom: 1px solid $border-color;
    }
  }
}

.assignment-card {
  flex: 1;

  @include bp(md) {
    .ant-card-meta-detail > div:not(:last-child) {
      margin-bottom: 0;
    }
  }

  .card-headline {
    display: flex;
    justify-content: space-between;

    @include bp(xs-sm) {
      flex-direction: column;

      .icon {
        margin-bottom: 25px;
      }
    }

    .icon {
      flex: 0 0 46px;
      margin-right: 20px;
    }

    .ant-card-meta {
      flex: 1;
    }
  }
}

.card-action-right {
  &.ant-card-hoverable {
    &:hover {
      box-shadow: 0 15px 35px 0 rgba(51, 64, 86, 0.2);

      .ant-card-actions {
        opacity: 1;
      }
    }
  }

  .ant-card-actions {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0 15px;
    opacity: 1;
    border-top: none;

    > li > span > .anticon {
      font-size: 24px;
      font-weight: 800;
      color: #aaa;
    }
  }
}

.campaign-card {
  &.ant-card-hoverable,
  &.campaign-card-with-todo {
    > .ant-card-cover {
      background: #343842;
      img {
        transition: 0.3s ease-out;
        opacity: 1;
        display: block;
      }
    }

    &:hover {
      box-shadow: 0 15px 35px 0 rgba(51, 64, 86, 0.2);

      > .ant-card-cover {
        img {
          opacity: 0.6;
        }
      }

      > .ant-card-actions {
        opacity: 1;
      }
    }
  }

  .ant-card-cover {
    position: relative;
  }

  .ant-card-actions {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0 15px;
    opacity: 0;
    border-top: none;

    > li > span > .anticon {
      font-size: 24px;
      font-weight: 800;
      color: #fff;
    }
  }
}
